Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Categories

New Premium Module: Tyrants of the Moonsea! Read More
Attention, new and old users! Please read the new rules of conduct for the forums, and we hope you enjoy your stay!

Item editor for IWDEE?

dr_mudsdr_muds Member Posts: 69
Does anyone know of any editor similar to EE Keeper for Iceland Dale Enhanced Edition? I'm running on the Mac OS X and had planned for my Swashbuckler dual-classed to Mage in my current game to eventually dual wield the Long Sword Enforcer +3 with the mage daggers in the offhand for extra spell fun.

However I had based my plans around the item description in Mikes RPG page which unfortunately neglected to mention the item was for Fighter/Mages only! I'm going to edit it so that Mage/Thieves can use it as well (after all long swords are useable by thieves and I think it'd be better for this item to be used by all mage multi/dual classes that can use them).

I don't normally make exploitative changes in the game but I had actually based my character class and proficiency choices based upon this.

Post edited by dr_muds on

Comments

  • brusbrus Member Posts: 944
    @argent77 keeps NearInfinity but I don't know if it's for Mac.

    dr_muds
  • BillyYankBillyYank Member Posts: 2,769
    NearInfinity is Java, so it should run on anything.

    dr_mudsJuliusBorisov
  • brusbrus Member Posts: 944
    edited November 2015
    @dr_muds if I understand correctly you want to add to mage longswords and dual weapon proficiency.
    Maybe someones knows if you can doo that with EEKeeper or with NearInfinity.
    But that is actually changing the kit.

  • dr_mudsdr_muds Member Posts: 69
    edited November 2015
    @brus Thanks for the help and your message. But just to clarify, my character will already be able to dual wield and use long swords so that's not the issue.

    A Swashbuckler thief kit can use long swords and can eventually dual wield with the application of weapon proficiency points. My swashbuckler at level 10 will have proficiency points in long sword & short bow and 2 points in 2 weapon style. I then intend to dual class to Mage, during which I will add a proficiency point in dagger. At level 11 he'll regain his swashbuckler abilities and become a thief/mage who can dual wield long swords.

    I was intending to dual wield the long swords enforcer +3 and mage dagger in the off hand (both giving extra bonus spells). However turns out that long sword only can be used by fighter/mages. I don't need to change my kit, just how to change the useable by restriction of the item, so it can be used by any Mage multi/dual class that can use long swords rather than just fighter/mages.

  • argent77argent77 Member Posts: 2,809
    Yes, Near Infinity works on all platforms supported by Java, including Mac OS X. You should take a look at AstroBryGuy's OS X-specific app packages for Near Infinity, which provide better integration into the operating system. See this topic for more information.

    To make the long sword "Enforcer +3" usable for your Mage/Thief character, open the resource "ULSWD4B.ITM" in Near Infinity. You can use the quick search on top of the navigation bar (click on the magnifier icon and enter the filename). Look for the line "Unusable by" and uncheck "Mage-Thief (19)". Click "Save" to save your changes. If you also want to enable the sneak attack capability of the sword, then you have to uncheck "Thief (22)" as well.

    brusdr_mudsJuliusBorisov
  • dr_mudsdr_muds Member Posts: 69
    Thank you @argent77 that's pretty much solved my problem. Strange how such an item has such a specific restriction with no sufficient reason in item description.

    Who knows, I might tweak helm of trusted defender as well hehe...

  • dr_mudsdr_muds Member Posts: 69
    @argent77 finally got around to using Near infinity (or trying to), have downloaded the .jar files from the links you kindly provided, and updated my java, but while the logo appears on my Mac OS X dock (latest el capitan edition) I can't seem to get the programme running!

    Irritating as I actually want to edit a couple of items now...

  • argent77argent77 Member Posts: 2,809
    Unfortunately I don't have much experience with Mac OS X. Maybe @AstroBryGuy can help you solve your problem.

    I can only give you a few general pointers:
    1. Did you try both versions, the generic version of NI and the Mac OS X specific package provided by @AstroBryGuy ?

    2. If you didn't place NearInfinity into a game directory, NI will open a dialog where you have to specify the game installation directory (or more specifically the location of the chitin.key) when you start it for the first time.

    3. If you know how to use the text console, you could start NI from the command line to see if any error messages are displayed. Change into the directory where you can find the file "NearInfinity.jar" and execute the following line:
    java -jar NearInfinity.jar

    dr_muds
  • dr_mudsdr_muds Member Posts: 69
    Whoops you're right I accidentally clicked on the link to the Windows version. Downloaded the code for the Mac repackaging and it actually opens now.

    Thanks!

Sign In or Register to comment.